Bug 44812 - remove app registration from preup
remove app registration from preup
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Update - univention-updater
UCS 4.2
Other Linux
: P5 normal (vote)
: UCS 4.2-1
Assigned To: Dirk Wiesenthal
Felix Botner
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-19 10:28 CEST by Felix Botner
Modified: 2017-12-12 07:53 CET (History)
1 user (show)

See Also:
What kind of report is it?: Development Internal
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Felix Botner univentionstaff 2017-06-19 10:28:22 CEST
this can be removed from the preup script

python -c '
from univention.appcenter.app import AppManager
from univention.appcenter.ucr import ucr_save, ucr_get

for app in AppManager.get_all_locally_installed_apps():
    if app.docker:
        key = "appcenter/apps/%s/ucs" % app.id
        if not ucr_get(key):
            ucr_save({key: ucr_get("version/version")})
'
if [ $? != 0 ]; then
    echo "WARNING: Something went wrong while registering current Apps."
    echo "         This may lead to Apps not being recognized as installed"
    echo "         after the update."
fi
Comment 1 Dirk Wiesenthal univentionstaff 2017-06-19 10:44:38 CEST
Fixed in
  12.0.11-1A~4.2.0.201706191044
Comment 2 Felix Botner univentionstaff 2017-06-19 10:57:54 CEST
OK - univention-updater
OK - changelog
Comment 3 Stefan Gohmann univentionstaff 2017-06-21 08:48:29 CEST
UCS 4.2-1 has been released:
 https://docs.software-univention.de/release-notes-4.2-1-en.html
 https://docs.software-univention.de/release-notes-4.2-1-de.html

If this error occurs again, please use "Clone This Bug".